# $file-template(5)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

$file-template - Regular expression file search string

## SYNOPSIS

$file-template "string"; Default is ""

## DESCRIPTION

$file-template defines a regular expression search string used to identify a file in the grep(3) and compile(3) buffers. The format of the string is the same as magic mode search strings (see search-forward(2)).

## EXAMPLE

A UNIX file name may be considered to contain any ASCII character except a space or a '`:`' (used as a divider in many programs). Thus $file-template should be:

    set-variable $file-template "[!-9;-z]+"

This will correctly identify "`foo.c`" in the following example.

    foo.c: 45:      printf("hello world\n") ;

## SEE ALSO

$line-template(5), compile(3), get-next-line(2), grep(3), search-forward(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>